Package com.avaya.clientservices.media

## Enum AudioCodec

- java.lang.Object
- - java.lang.Enum<AudioCodec>
  - - com.avaya.clientservices.media.AudioCodec

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioCodec>`

      public enum AudioCodec
      extends java.lang.Enum<AudioCodec>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `G711A` |
    `G711U` |
    `G722` |
    `G722_1` |
    `G726_32` |
    `G729` |
    `G729_A` |
    `ISAC` |
    `OPUS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioCodec` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static AudioCodec` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioCodec[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### G711A

          public static final AudioCodec G711A

    - #### G711U

          public static final AudioCodec G711U

    - #### G722

          public static final AudioCodec G722

    - #### G722_1

          public static final AudioCodec G722_1

    - #### G729

          public static final AudioCodec G729

    - #### G729_A

          public static final AudioCodec G729_A

    - #### G726_32

          public static final AudioCodec G726_32

    - #### ISAC

          public static final AudioCodec ISAC

    - #### OPUS

          public static final AudioCodec OPUS

  - ### Method Detail

    - #### values

          public static AudioCodec[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioCodec c : AudioCodec.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioCodec valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AudioCodec fromInt​(int v)

    - #### intValue

          public int intValue()